Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Nirbheek Chauhan (nirbheek)" <nirbheek@g.o>
Subject: gentoo-x86 commit in dev-libs/libunique: ChangeLog libunique-1.0.8.ebuild
Date: Sat, 01 Aug 2009 14:10:22 +0000
nirbheek    09/08/01 14:10:22

  Modified:             ChangeLog libunique-1.0.8.ebuild
  Log:
  Workaround for bug 279840 -- Xemake using the user's X instead of spawning Xvfb
  (Portage version: 2.2_rc33/cvs/Linux i686)

Revision  Changes    Path
1.11                 dev-libs/libunique/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-libs/libunique/ChangeLog?rev=1.11&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-libs/libunique/ChangeLog?rev=1.11&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-libs/libunique/ChangeLog?r1=1.10&r2=1.11

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-libs/libunique/ChangeLog,v
retrieving revision 1.10
retrieving revision 1.11
diff -u -r1.10 -r1.11
--- ChangeLog	23 May 2009 15:30:39 -0000	1.10
+++ ChangeLog	1 Aug 2009 14:10:22 -0000	1.11
@@ -1,6 +1,11 @@
 # ChangeLog for dev-libs/libunique
 # Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-libs/libunique/ChangeLog,v 1.10 2009/05/23 15:30:39 ranger Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/libunique/ChangeLog,v 1.11 2009/08/01 14:10:22 nirbheek Exp $
+
+  01 Aug 2009; Nirbheek Chauhan <nirbheek@g.o>
+  libunique-1.0.8.ebuild:
+  Workaround for bug 279840 -- Xemake using the user's X instead of spawning
+  Xvfb
 
   23 May 2009; Brent Baude <ranger@g.o> libunique-1.0.8.ebuild:
   Marking libunique-1.0.8 ~ppc for bug 268487



1.10                 dev-libs/libunique/libunique-1.0.8.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-libs/libunique/libunique-1.0.8.ebuild?rev=1.10&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-libs/libunique/libunique-1.0.8.ebuild?rev=1.10&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-libs/libunique/libunique-1.0.8.ebuild?r1=1.9&r2=1.10

Index: libunique-1.0.8.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-libs/libunique/libunique-1.0.8.ebuild,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -r1.9 -r1.10
--- libunique-1.0.8.ebuild	23 May 2009 15:30:39 -0000	1.9
+++ libunique-1.0.8.ebuild	1 Aug 2009 14:10:22 -0000	1.10
@@ -1,6 +1,6 @@
 # Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-libs/libunique/libunique-1.0.8.ebuild,v 1.9 2009/05/23 15:30:39 ranger Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/libunique/libunique-1.0.8.ebuild,v 1.10 2009/08/01 14:10:22 nirbheek Exp $
 
 EAPI="2"
 
@@ -37,7 +37,13 @@
 src_test() {
 	cd "${S}/tests"
 
-	cp "${FILESDIR}/run-tests" .
+	# Fix environment variable leakage (due to `su` etc)
+	unset DBUS_SESSION_BUS_ADDRESS
+
+	# Force Xemake to use Xvfb, bug 279840
+	unset XAUTHORITY
+
+	cp "${FILESDIR}/run-tests" . || die "Unable to cp \${FILESDIR}/run-tests"
 	Xemake -f run-tests || die "Tests failed"
 }
 





Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in dev-libs/libunique: ChangeLog libunique-1.0.8.ebuild
Next by thread:
gentoo-x86 commit in dev-libs/libunique: ChangeLog libunique-1.0.8.ebuild
Previous by date:
gentoo commit in xml/htdocs/proj/en/devrel/quiz: ebuild-quiz.txt
Next by date:
gentoo-x86 commit in www-apache/mod_common_redirect: - New directory


Updated Jun 26, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.